﻿using System;
using System.Collections.Generic;
using System.Text;

using Com.Piwigo.Lib.DTO;
using System.Web;
using Com.Piwigo.Lib.Proxy.Response;

namespace Com.Piwigo.Lib.Proxy
{
    static internal class PwgSessionProxy
    {
        static internal PwgSessionProxyResponse pwg_session_getStatus()
        {
            PwgSessionProxyResponse response = null;
            try
            {            
            response = PwgGenericProxy<PwgSessionProxyResponse>.Get(
                                PwgConfigProxy.PwgServeurUri, 
                                "pwg.session.getStatus", null);
            }
            catch (Exception ex)
            {
                throw new PwgProxyException("pwg_session_getStatus", ex);
            }
            return response;

        }

        static internal PwgSessionProxyResponse pwg_session_login(String UserName, String Password)
        {
            PwgSessionProxyResponse response = null;
            try
            {
                StringBuilder data = new StringBuilder();
                data.Append("method=pwg.session.login");
                data.Append("&username=" + Uri.EscapeUriString(UserName));
                data.Append("&password=" + Uri.EscapeUriString(Password));


                response = PwgGenericProxy<PwgSessionProxyResponse>.Post(
                    PwgConfigProxy.PwgServeurUri, 
                    data.ToString());
            }
            catch (Exception ex)
            {
                throw new PwgProxyException("pwg_session_login",ex);
            }

            return response;
        }

        static internal PwgSessionProxyResponse pwg_session_logout()
        {
            PwgSessionProxyResponse response = null;
            try
            {
                StringBuilder data = new StringBuilder();
                data.Append("method=pwg.session.logout");

                response = PwgGenericProxy<PwgSessionProxyResponse>.Post(
                    PwgConfigProxy.PwgServeurUri,
                    data.ToString());
            }
            catch (Exception ex)
            {
                throw new PwgProxyException("pwg_session_logout", ex);
            }
            return response;
        }

    }

}

